org.eclipse.ease.ui.scripts.repository

## Interface IRepositoryFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface IRepositoryFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `IRepositoryPackage`

### Field Summary

Fields
`static IRepositoryFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`IRawLocation` `createRawLocation()` Returns a new object of class 'Raw Location'.
`IScript` `createScript()` Returns a new object of class 'Script'.
`IScriptLocation` `createScriptLocation()` Returns a new object of class 'Script Location'.
`IStorage` `createStorage()` Returns a new object of class 'Storage'.
`IRepositoryPackage` `getRepositoryPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final IRepositoryFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createScript

    IScript createScript()

Returns a new object of class 'Script'.

Returns:
  a new object of class 'Script'.

#### createRawLocation

    IRawLocation createRawLocation()

Returns a new object of class 'Raw Location'.

Returns:
  a new object of class 'Raw Location'.

#### createStorage

    IStorage createStorage()

Returns a new object of class 'Storage'.

Returns:
  a new object of class 'Storage'.

#### createScriptLocation

    IScriptLocation createScriptLocation()

Returns a new object of class 'Script Location'.

Returns:
  a new object of class 'Script Location'.

#### getRepositoryPackage

    IRepositoryPackage getRepositoryPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.